Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream
Class XStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.thoughtworks.xstream.core.BaseException
                      com.thoughtworks.xstream.XStreamException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CannotResolveClassException, ConversionException, ObjectAccessException, StreamException, XStream.InitializationException

    public class XStreamException

extends com.thoughtworks.xstream.core.BaseException

Base exception for all thrown exceptions with XStream. JDK 1.3 friendly cause handling.

Since:
  1.3
Author:
  Joe Walnes, Jörg Schaible
See Also:
  Serialized Form

Constructor Summary
`protected` | `XStreamException()` Default constructor.
`` | `XStreamException(String message)` Constructs an XStreamException with a message.
`` | `XStreamException(String message, Throwable cause)` Constructs an XStreamException with a message as wrapper for a different causing `Throwable`.
`` | `XStreamException(Throwable cause)` Constructs an XStreamException as wrapper for a different causing `Throwable`.

Method Summary
`Throwable` | `getCause()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XStreamException

    protected XStreamException()

  Default constructor.

  Since:
    1.3

### XStreamException

    public XStreamException(String message)

  Constructs an XStreamException with a message.

  Parameters:
    `message` -
  Since:
    1.3

### XStreamException

    public XStreamException(Throwable cause)

  Constructs an XStreamException as wrapper for a different causing `Throwable`.

  Parameters:
    `cause` -
  Since:
    1.3

### XStreamException

    public XStreamException(String message,
                            Throwable cause)

  Constructs an XStreamException with a message as wrapper for a different causing `Throwable`.

  Parameters:
    `message` -
    `cause` -
  Since:
    1.3

Method Detail

### getCause

    public Throwable getCause()

  Specified by:
    `getCause` in class `com.thoughtworks.xstream.core.BaseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.